// get correct area weights for averaging temperatures on the CLIMBER grid
func get_geo_weights( nlong, nlat )
{
  // set defaults to CLIMBER-3alpha grid:
  if( is_void(nlong) )
    nlong = 16;
  if( is_void(nlat) )
    nlat = 24;

  if( ceil(nlat/2.)==1 )
    even=1;
  else
    even=0;

  dlat = 180./nlat;
  lat = span( -90.+(dlat/2.), +90.-(dlat/2.), nlat );
  lat = lat/180.*pi;

  // compute cosine weights
  wlat = cos(abs(lat));

  w = array( wlat, nlong );
  w = transpose(w);

  return w/sum(w);

}


func go_west( z )
/* transforms a global array defined from 0 to 360 degrees in
   longitude to one defined from -180 to 180 degrees in longitude
 */
{
  // the data are written from 0 to 360 degrees in longitude, we want -180 to 180...:
  zz = z*0.;
  dd = dimsof(z);
  zz(1:dd(2)/2,) = z(dd(2)/2+1:0,);
  zz(dd(2)/2+1:0,) = z(1:dd(2)/2,);

  return zz;
}


